List visitor fingerprints
curl --request GET \
--url https://api.usefoil.com/v1/fingerprintsimport requests
url = "https://api.usefoil.com/v1/fingerprints"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.usefoil.com/v1/fingerprints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.usefoil.com/v1/fingerprints"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.usefoil.com/v1/fingerprints")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usefoil.com/v1/fingerprints",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"object": "visitor_fingerprint",
"id": "vid_7cyvmdfjs3rzznf8m65v3bv51m",
"lifecycle": {
"first_seen_at": "2026-03-01T18:22:11.000Z",
"last_seen_at": "2026-03-24T20:00:05.000Z",
"seen_count": 14,
"expires_at": "2026-03-24T20:00:05.000Z"
},
"latest_request": {
"user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 14_4) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36",
"ip_address": "203.0.113.10"
},
"storage": {
"cookies": true,
"local_storage": true,
"indexed_db": true,
"service_worker": true,
"window_name": true
},
"anchors": {
"webgl_hash": "123456789",
"parameters_hash": "-1234567890",
"audio_hash": "1234567890"
}
}
],
"pagination": {
"limit": 50,
"has_more": false,
"next_cursor": "eyJ2IjoxLCJzY29yZWRBdCI6IjIwMjYtMDQtMTBUMDY6NDI6NDIuNTE0WiIsInJvd0lkIjoiMTc3In0"
},
"meta": {
"request_id": "req_cf147349a4134208aebb8c70e25fb7e1"
}
}{
"error": {
"code": "request.validation_failed",
"message": "Observation payload failed validation.",
"status": 1,
"retryable": true,
"request_id": "req_cf147349a4134208aebb8c70e25fb7e1",
"docs_url": "https://app.acme.co/signup",
"details": {
"fields": [
{
"name": "Acme Growth Workspace",
"issue": "required",
"expected": "string",
"received": "any_of"
}
],
"allowed_values": [
"verified"
],
"header_name": "x-forwarded-for",
"parameter_set": "browser_fingerprint",
"next_action": "retry"
}
}
}{
"error": {
"code": "request.validation_failed",
"message": "Observation payload failed validation.",
"status": 1,
"retryable": true,
"request_id": "req_cf147349a4134208aebb8c70e25fb7e1",
"docs_url": "https://app.acme.co/signup",
"details": {
"fields": [
{
"name": "Acme Growth Workspace",
"issue": "required",
"expected": "string",
"received": "any_of"
}
],
"allowed_values": [
"verified"
],
"header_name": "x-forwarded-for",
"parameter_set": "browser_fingerprint",
"next_action": "retry"
}
}
}{
"error": {
"code": "request.validation_failed",
"message": "Observation payload failed validation.",
"status": 1,
"retryable": true,
"request_id": "req_cf147349a4134208aebb8c70e25fb7e1",
"docs_url": "https://app.acme.co/signup",
"details": {
"fields": [
{
"name": "Acme Growth Workspace",
"issue": "required",
"expected": "string",
"received": "any_of"
}
],
"allowed_values": [
"verified"
],
"header_name": "x-forwarded-for",
"parameter_set": "browser_fingerprint",
"next_action": "retry"
}
}
}Fingerprints
List visitor fingerprints
Requires the fingerprints:list secret-key scope.
GET
/
v1
/
fingerprints
List visitor fingerprints
Query Parameters
Required range:
1 <= x <= 200Example:
50
Example:
"eyJ2IjoxLCJzY29yZWRBdCI6IjIwMjYtMDQtMTBUMDY6NDI6NDIuNTE0WiIsInJvd0lkIjoiMTc3In0"
Example:
"arm"
Available options:
seen_count, first_seen Example:
"seen_count"
Response
Visitor fingerprint list response.
Show child attributes
Show child attributes
Example:
[
{
"object": "visitor_fingerprint",
"id": "vid_7cyvmdfjs3rzznf8m65v3bv51m",
"lifecycle": {
"first_seen_at": "2026-03-01T18:22:11.000Z",
"last_seen_at": "2026-03-24T20:00:05.000Z",
"seen_count": 14,
"expires_at": "2026-03-24T20:00:05.000Z"
},
"latest_request": {
"user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 14_4) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36",
"ip_address": "203.0.113.10"
},
"storage": {
"cookies": true,
"local_storage": true,
"indexed_db": true,
"service_worker": true,
"window_name": true
},
"anchors": {
"webgl_hash": "123456789",
"parameters_hash": "-1234567890",
"audio_hash": "1234567890"
}
}
]
Show child attributes
Show child attributes
Example:
{
"limit": 50,
"has_more": false,
"next_cursor": "eyJ2IjoxLCJzY29yZWRBdCI6IjIwMjYtMDQtMTBUMDY6NDI6NDIuNTE0WiIsInJvd0lkIjoiMTc3In0"
}
Show child attributes
Show child attributes
Example:
{
"request_id": "req_cf147349a4134208aebb8c70e25fb7e1"
}
⌘I